Table of Contents

 XLabel 1.0

Copyright © 1993 by Mark Hanson

ALL RIGHTS RESERVED.

What is XLabel?

Installation

Legal Stuff

Registration

Support

Properties

Events


What is XLabel?

XLabel is an extended label control for use with Microsoft Visual Basic for Windows version 2.0 or higher.

XLabel supports most of the features of the standard Label control with the following enhancements:

 	Rotates TrueType fonts to any specified angle.

 	Provides shadowed text for dazzling 3-D effects.

 	Allows both horizontal and vertical alignment of text.


Installation

You should have received the following files:

XLABEL.VBX	Visual Basic custom control file

XLABEL.HLP	This help file

README.TXT	Installation notes and documentation changes

DEMO.MAK	Visual Basic project file for the demo program

DEMO.FRM	Visual Basic form file for the demo program

Just copy the files together to any directory.  You may also want to copy XLABEL.VBX to your WINDOWS\SYSTEM directory.

XLabel will look for this help file in the directory where the .VBX resides.

To see a demo of XLabel, run Visual Basic and load the project "DEMO.MAK".


Legal Stuff

License

XLabel is not public domain or free software.

You are granted a license to use the shareware version of XLabel for an evaluation period of 30 days.  After 30 days, registration is required.  The shareware version of XLabel may be duplicated and distributed for the purpose of evaluation only.  No fee may be charged for distributing the shareware version (other than an administrative fee not exceeding $5).

Disclaimer

This software and documentation are supplied "AS IS".  The author makes no warranty of any kind, either express or implied, with respect to this software and accompanying documentation.

In no event shall the author of this software be liable for any damages arising out of the use of this product.  Your use of this  software indicates that you have read and agreed to these terms.

Acknowledgements

Microsoft is a registered trademark of Microsoft Corporation.

Visual Basic, TrueType, and Windows are trademarks of Microsoft Corporation.


Registration

To register XLabel, you may print out and complete the order form. If you cannot print the order form, just write the equivalent information out by hand.  Send the order information, along with a check or money order for $12 in US funds to:

Mark Hanson

PO Box 10154

Rochester, NY 14610-0154

USA

Please make the check or money order payable to Mark Hanson.

Upon registering the product, you will receive the latest version on diskette.  You will also receive a special license file that will automatically register any future versions of XLabel.


Support

There are many methods of obtaining support for XLabel:

E-Mail me on Compuserve at 72773,71

Send FidoNet netmail to Mark Hanson at 1:2613/119

Leave a message to Mark Hanson on the support BBS:

1 X. I. S.

Rochester, NY USA

(716) 671-7745

12-14.4K v32

Contact me at the address indicated in Registration

Your comments and questions about XLabel are strongly encouraged!


Properties

Properties specific to XLabel are marked with an asterisk.

Other standard properties are documented in the Visual Basic help files.

*AlignmentH	DragMode	Left

*AlignmentV	Enabled	MousePointer

*Angle	FontBold	Name

BackColor	FontItalic	Parent

BackStyle	FontName	*ShadowColor

BorderStyle	FontSize	*Shadowed

Caption	FontStrikethru	Tag

DataField	FontUnderline	Top

DataSource	ForeColor	Visible

DataChanged	Height	Width

DragIcon	Index	WordWrap


Events

XLabel supports the following standard events.

These events are documented in the Visual Basic help files.

Change   	DragOver

Click    	MouseDown

DblClick 	MouseMove

DragDrop 	MouseUp


AlignmentH Property

Description

Determines the horizontal text alignment of the label contents.

Usage

[form.]control.AlignmentH[ = numericexpression]

Setting	Description

0	(Default) Text aligns to the left.

1	Text aligns to the center.

2	Text aligns to the right.

Remarks

This value is ignored when Angle is greater than zero and a TrueType font is in use.

Data Type

Integer (Enumerated)


AlignmentV Property

Description

Determines the vertical text alignment of the label contents.

Usage

[form.]control.AlignmentV[ = numericexpression]

Setting	Description

0	(Default) Text aligns to the top.

1	Text aligns to the center.

2	Text aligns to the bottom.

Remarks

This value is ignored when Angle is greater than zero and a TrueType font is in use.

Data Type

Integer (Enumerated)


Angle Property

Description

Determines the rotation of the label contents.

Usage

[form.]control.Angle[ = numericexpression]

Remarks

The angle is measured in degrees, and should fall between 0 and 359. This value is ignored when a TrueType font is not in use.

Data Type

Integer


ShadowColor Property

Description

Determines the color to shadow text with.

Usage

[form.]control.ShadowColor[ = color]

Remarks

This property is set just like any other Visual Basic color property.  It takes effect when Shadowed is set to True.  In general, darker foreground colors look best with a lighter ShadowColor and lighter foreground colors look best with a darker ShadowColor.

Data Type

Integer (Boolean)


Shadowed Property

Description

Determines whether text is drawn with a shadowed effect.

Usage

[form.]control.Shadowed[ = True/False]

Remarks

When this property is set to True, text is drawn with a shadowed effect in the color specified by ShadowColor. The effect looks best with larger font sizes.  Rotated text will not be shadowed.

Data Type

Integer (Boolean)


Order Form
XLabel Order Form

Select "Print Topic" from the File menu to print this form.

Price:	$12

Remit order to:	Mark Hanson

PO Box 10154

Rochester, NY 14610-0154

USA

Send product to:

Name:	________________________________________

Address:	________________________________________

________________________________________

________________________________________

________________________________________

Payments from outside of the United States must be in one of these forms:

- US currency

- An American Express money order payable in US currency

- An international postal money order payable in US currency

- A check drawn on a US bank payable in US currency